summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--misc/par/par.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/misc/par/par.SlackBuild b/misc/par/par.SlackBuild
index 8d58b8741f..c5ab4019ec 100644
--- a/misc/par/par.SlackBuild
+++ b/misc/par/par.SlackBuild
@@ -45,12 +45,8 @@ make -f protoMakefile CC="cc -c" LINK1="cc" LINK2="-o" RM="rm" JUNK=""
mkdir -p $PKG/usr/bin
install par $PKG/usr/bin
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : |
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : |
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/man/man1
# avoid tripping up extension sniffers